petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSlicedSetGhosts

Sets the global indices of other processes elements that will be ghosts on this process

### Synopsis

    #include "petscdmsliced.h"
    PetscErrorCode  DMSlicedSetGhosts(DM dm,PetscInt bs,PetscInt nlocal,PetscInt Nghosts,const PetscInt ghosts[])

Not Collective

### Input Parameters

| slice | - the DM object
| bs | - block size
| nlocal | - number of local (owned, non-ghost) blocks
| Nghosts | - number of ghost blocks on this process
| ghosts | - global indices of each ghost block

### See Also

DMDestroy(), DMCreateGlobalVector()

Level:advanced
Location:src/dm/impls/sliced/sliced.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages